Skip to main content
POST
/
v1
/
discovery
/
connections
/
{connectionId}
/
test
Test a connection
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId}/test \
  --header 'Authorization: Bearer <token>'
{
  "connectionId": "<string>",
  "healthy": true,
  "latencyMs": 42,
  "errorMessage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

connectionId
string
required

The unique identifier of the connection.

Response

Test result

Result of a connectivity test for a discovered connection

connectionId
string

Identifier of the connection that was tested

healthy
boolean

Whether the connection test succeeded

Example:

true

latencyMs
integer

Round-trip latency in milliseconds

Example:

42

errorMessage
string

Error details when the test failed